<html xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Login page</title>
</head>
<body>
<h1>Login page</h1>
<p th:if="${loginError}" class="error">Wrong user or password</p>
<form th:action="@{/thymeleaf/login}" method="post">
    <label for="username">Username</label>:
    <input type="text" name="username" id="username" autofocus="autofocus" /> <br />
    <label for="password">Password</label>:
    <input type="password" name="password" id="password" /> <br />
    <input type="submit" value="Log in" />
</form>
</body>
</html>